Name: libgeda
Version: 20070216
Release: alt1

Summary: libraries for the gEDA project

Url: http://www.geda.seul.org
License: GPL
Group: System/Libraries

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: ftp://ftp.geda.seul.org/pub/geda/devel/%version/%name-%version.tar.bz2

# FIXME
%set_verify_elf_method none

# we need noweb package for full support of documented code
# manually removed: gcc-g77 
# Automatically added by buildreq on Sat Apr 07 2007
BuildRequires: doxygen gcc-c++ guile18-devel imake indent libgd2-devel libgtk+2-devel libICE-devel libjpeg-devel libltdl-devel libXpm-devel xorg-cf-files

%description
This package contains libgeda (library needed by gEDA applications).

%package devel
Summary: Headers for developing apps which will use the libgeda
Group: Development/C
Requires: %name = %version

%description devel
Header files for developing applications
which will use the libgeda library. The package is needed
for building programs based on libgeda library.

%prep
%setup -q

%build
%configure --disable-static
%make

# install will be a bit complicated because we are not assured
# that the builder has root privileges
%install
%make_install install DESTDIR=%buildroot
#./libtool --finish %buildroot%_libdir

#strip %buildroot%_libdir/libgeda.so.*

# remove unwanted files
#rm -f %buildroot%_infodir/dir

%post
#install_info libgedadoc.info
%post_ldconfig

%preun
#uninstall_info libgedadoc.info

%postun
%postun_ldconfig

%files
%doc AUTHORS BUGS ChangeLog HACKING README TODO
#%_infodir/*
%_datadir/gEDA/
%_libdir/libgeda.so.*

%files devel
%_libdir/libgeda.so
%dir %_includedir/libgeda/
%_includedir/libgeda/*.h
%_pkgconfigdir/libgeda.pc

%changelog
* Sat Apr 07 2007 Vitaly Lipatov <lav@altlinux.ru> 20070216-alt1
- new version (20070216)
- build with guile18

* Sun Sep 10 2006 Vitaly Lipatov <lav@altlinux.ru> 20060906-alt0.1
- new version
- remove info files

* Sat Jul 22 2006 Vitaly Lipatov <lav@altlinux.ru> 20060123-alt0.1
- new version (20060123)
- remove COPYING

* Wed Sep 14 2005 Vitaly Lipatov <lav@altlinux.ru> 20050820-alt0.1
- new version

* Fri Feb 04 2005 Vitaly Lipatov <lav@altlinux.ru> 20041228-alt0.1
- new version

* Tue Dec 14 2004 Vitaly Lipatov <lav@altlinux.ru> 20041214-alt0.1
- first build for ALT Linux Sisyphus

* Thu Aug 12 2004 Andy Shevchenko <andriy@asplinux.ru>
- update to version 20040111

* Thu Oct 09 2003 Andy Shevchenko <andriy@asplinux.ru>
- update to version 20030901

* Thu Jun 05 2003 Andy Shevchenko <andriy@asplinux.ru>

- update to new version

* Fri Mar 14 2003 Andy Shevchenko <andriy@asplinux.ru>

- update to new version
- rebuild for 8.1

* Wed May 8 2002 Andy Shevchenko <andriy@asplinux.ru>

- updated to version 20020414

* Tue Feb 26 2002 Andy Shevchenko <andy@smile.org.ua>

- updated to version 20020209
- make devel package

* Wed Oct 11 2000 Emmanuel Rouat <emmanuel.rouat@wanadoo.fr>

- updated to version 20001006

* Thu Aug 10 2000 Emmanuel Rouat <emmanuel.rouat@wanadoo.fr>

- rebuild with new version of rpm (shouldn't change anything)

* Thu Jul  6 2000 Emmanuel Rouat <emmanuel.rouat@wanadoo.fr>

- updated to version 20000704
- changed licence from LGPL to GPL

* Wed Feb 23 2000 Emmanuel Rouat <emmanuel.rouat@wanadoo.fr>

- removed 'Redhat Contrib Net' stuff
- updated to version 20000220

* Thu Oct 14 1999 Emmanuel Rouat <emmanuel.rouat@wanadoo.fr>

- updated to version 19991011

* Wed Sep 22 1999 Emmanuel Rouat <emmanuel.rouat@wanadoo.fr>

- updated to version 19990919

* Wed Sep  1 1999 Emmanuel Rouat <emmanuel.rouat@wanadoo.fr>

- updated to version 19990829

* Mon Jul 19 1999 Emmanuel Rouat <emmanuel.rouat@wanadoo.fr>

- Group is now System Environment/Libraries
- rebuild with libgdgeda

* Sat Jul 10 1999 Emmanuel Rouat <emmanuel.rouat@wanadoo.fr>

- initialization of spec file.

# end of file
